# Create module data

Create a new module in the module registry

Endpoint: POST /iacm/api/modules/{name}/{system}/{version}/metadata
Version: 1.0
Security: x-api-key

## Query parameters:

  - `scope_org` (string)
    org name
    Example: "Quis ipsam enim."

  - `scope_project` (string)
    project name
    Example: "Culpa dicta."

## Path parameters:

  - `name` (string, required)
    module name
    Example: "Molestias non."

  - `system` (string, required)
    system name
    Example: "Fugit exercitationem."

  - `version` (string, required)
    version of the module
    Example: "Quo expedita quae."

## Header parameters:

  - `Harness-Account` (string, required)
    account name
    Example: "Eos debitis qui delectus mollitia."

## Request fields (application/json):

  - `download_url` (string, required)
    download url of the module
    Example: "Maiores incidunt assumenda rem in et deleniti."

  - `error` (object)
    error from the tag operation
    Example: {"Dolorem voluptatem qui omnis ut numquam.":"Qui natus ratione quia quia dolorum.","Et animi numquam quaerat dolore architecto voluptas.":"Natus ad maxime.","Qui non eos modi odit dolorem doloribus.":"Voluptas quis quidem."}

  - `examples_paths` (array)
    path of the examples relative to the module
    Example: ["Ea et qui.","Sed pariatur harum sunt quas sed corrupti.","Fugit quaerat.","Asperiores facere assumenda quia quis."]

  - `git_tag` (string, required)
    git tag of the module
    Example: "Doloribus occaecati et minus dolores eos est."

  - `metadata` (string, required)
    metadata to be parsed
    Example: "Dolore officia atque ea consequatur pariatur dolorem."

  - `repo_url` (string)
    url pointing to the repo
    Example: "Sed provident ipsa autem."

  - `submodule_name` (string)
    name of the submodule been processed
    Example: "Repudiandae necessitatibus natus officia."

  - `submodule_paths` (array)
    path of the submodules relative to the module
    Example: ["Et odio illum libero.","Est impedit adipisci suscipit et dolores et."]

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


## Response 201 fields
